Package ghidra.program.util

# Class AddressExpressionValue

java.lang.Object
ghidra.program.util.AddressExpressionValue

All Implemented Interfaces:
  `ExpressionElement`, `ExpressionValue`

public class AddressExpressionValue extends Object implements ExpressionValue
Address operand values. See `ExpressionValue`. Defines supported operators and other operands for expression values that are addresses.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AddressExpressionValue(Address address)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ExpressionValue`
  `applyBinaryOperator(ExpressionOperator operator, ExpressionValue operand)`
  Method called to apply a binary operator to this value.
  `ExpressionValue`
  `applyUnaryOperator(ExpressionOperator operator)`
  Method called to apply a unary operator to this value.
  `Address`
  `getAddress()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AddressExpressionValue

    public AddressExpressionValue(Address address)

- ## Method Details

  - ### applyUnaryOperator

    public ExpressionValue applyUnaryOperator(ExpressionOperator operator) throws ExpressionException
    Description copied from interface: `ExpressionValue`
    Method called to apply a unary operator to this value.
    Specified by:
      `applyUnaryOperator` in interface `ExpressionValue`
    Parameters:
      `operator` - the operator being applied
    Returns:
      the new value after the operator is applied to this value
    Throws:
      `ExpressionException` - if the operator is not applicable for this value

  - ### applyBinaryOperator

    public ExpressionValue applyBinaryOperator(ExpressionOperator operator, ExpressionValue operand) throws ExpressionException
    Description copied from interface: `ExpressionValue`
    Method called to apply a binary operator to this value.
    Specified by:
      `applyBinaryOperator` in interface `ExpressionValue`
    Parameters:
      `operator` - the binary operator being applied.
      `operand` - the other value to combine with this value by the operator
    Returns:
      the new value after the operator is applied to this value
    Throws:
      `ExpressionException` - if the operator is not applicable for this value or the other value is not applicable for this operand and operator

  - ### getAddress

    public Address getAddress()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`